using SlnMesnac.Model.domain;
using SlnMesnac.Repository.service.@base;
using System;
using System.Collections.Generic;

namespace SlnMesnac.Repository.service.Impl
{
    public class T_RP_ProductChangeInfoServiceImpl : BaseServiceImpl<T_RP_ProductChangeInfo>, IT_RP_ProductChangeInfoService
    {
        public T_RP_ProductChangeInfoServiceImpl(Repository<T_RP_ProductChangeInfo> repository):base(repository)
        {

        }
        public T_RP_ProductChangeInfo GetProductType()
        {
            try
            {
                T_RP_ProductChangeInfo t_RP_Product = null;
                t_RP_Product = _rep.GetFirst(x => x.id == 1);
                return t_RP_Product;
            }
            catch (Exception ex)
            {
                return null;
            }
            
        }
    }
}